/**
 * Copyright (c) 2000-2012 Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package it.unisef.managesales.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.model.GroupedModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the Worker service. Represents a row in the &quot;MS_Worker&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link it.unisef.managesales.model.impl.WorkerModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link it.unisef.managesales.model.impl.WorkerImpl}.
 * </p>
 *
 * @author Giulio Piemontese
 * @see Worker
 * @see it.unisef.managesales.model.impl.WorkerImpl
 * @see it.unisef.managesales.model.impl.WorkerModelImpl
 * @generated
 */
public interface WorkerModel extends BaseModel<Worker>, GroupedModel {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this interface directly. All methods that expect a worker model instance should use the {@link Worker} interface instead.
	 */

	/**
	 * Returns the primary key of this worker.
	 *
	 * @return the primary key of this worker
	 */
	public long getPrimaryKey();

	/**
	 * Sets the primary key of this worker.
	 *
	 * @param primaryKey the primary key of this worker
	 */
	public void setPrimaryKey(long primaryKey);

	/**
	 * Returns the worker ID of this worker.
	 *
	 * @return the worker ID of this worker
	 */
	public long getWorkerId();

	/**
	 * Sets the worker ID of this worker.
	 *
	 * @param workerId the worker ID of this worker
	 */
	public void setWorkerId(long workerId);

	/**
	 * Returns the company ID of this worker.
	 *
	 * @return the company ID of this worker
	 */
	public long getCompanyId();

	/**
	 * Sets the company ID of this worker.
	 *
	 * @param companyId the company ID of this worker
	 */
	public void setCompanyId(long companyId);

	/**
	 * Returns the user ID of this worker.
	 *
	 * @return the user ID of this worker
	 */
	public long getUserId();

	/**
	 * Sets the user ID of this worker.
	 *
	 * @param userId the user ID of this worker
	 */
	public void setUserId(long userId);

	/**
	 * Returns the user uuid of this worker.
	 *
	 * @return the user uuid of this worker
	 * @throws SystemException if a system exception occurred
	 */
	public String getUserUuid() throws SystemException;

	/**
	 * Sets the user uuid of this worker.
	 *
	 * @param userUuid the user uuid of this worker
	 */
	public void setUserUuid(String userUuid);

	/**
	 * Returns the user name of this worker.
	 *
	 * @return the user name of this worker
	 */
	@AutoEscape
	public String getUserName();

	/**
	 * Sets the user name of this worker.
	 *
	 * @param userName the user name of this worker
	 */
	public void setUserName(String userName);

	/**
	 * Returns the create date of this worker.
	 *
	 * @return the create date of this worker
	 */
	public Date getCreateDate();

	/**
	 * Sets the create date of this worker.
	 *
	 * @param createDate the create date of this worker
	 */
	public void setCreateDate(Date createDate);

	/**
	 * Returns the modified date of this worker.
	 *
	 * @return the modified date of this worker
	 */
	public Date getModifiedDate();

	/**
	 * Sets the modified date of this worker.
	 *
	 * @param modifiedDate the modified date of this worker
	 */
	public void setModifiedDate(Date modifiedDate);

	/**
	 * Returns the group ID of this worker.
	 *
	 * @return the group ID of this worker
	 */
	public long getGroupId();

	/**
	 * Sets the group ID of this worker.
	 *
	 * @param groupId the group ID of this worker
	 */
	public void setGroupId(long groupId);

	/**
	 * Returns the first name of this worker.
	 *
	 * @return the first name of this worker
	 */
	@AutoEscape
	public String getFirstName();

	/**
	 * Sets the first name of this worker.
	 *
	 * @param firstName the first name of this worker
	 */
	public void setFirstName(String firstName);

	/**
	 * Returns the last name of this worker.
	 *
	 * @return the last name of this worker
	 */
	@AutoEscape
	public String getLastName();

	/**
	 * Sets the last name of this worker.
	 *
	 * @param lastName the last name of this worker
	 */
	public void setLastName(String lastName);

	/**
	 * Returns the firm ID of this worker.
	 *
	 * @return the firm ID of this worker
	 */
	public long getFirmId();

	/**
	 * Sets the firm ID of this worker.
	 *
	 * @param firmId the firm ID of this worker
	 */
	public void setFirmId(long firmId);

	/**
	 * Returns the employment date of this worker.
	 *
	 * @return the employment date of this worker
	 */
	public Date getEmploymentDate();

	/**
	 * Sets the employment date of this worker.
	 *
	 * @param employmentDate the employment date of this worker
	 */
	public void setEmploymentDate(Date employmentDate);

	/**
	 * Returns the code of this worker.
	 *
	 * @return the code of this worker
	 */
	@AutoEscape
	public String getCode();

	/**
	 * Sets the code of this worker.
	 *
	 * @param code the code of this worker
	 */
	public void setCode(String code);

	public boolean isNew();

	public void setNew(boolean n);

	public boolean isCachedModel();

	public void setCachedModel(boolean cachedModel);

	public boolean isEscapedModel();

	public Serializable getPrimaryKeyObj();

	public void setPrimaryKeyObj(Serializable primaryKeyObj);

	public ExpandoBridge getExpandoBridge();

	public void setExpandoBridgeAttributes(ServiceContext serviceContext);

	public Object clone();

	public int compareTo(Worker worker);

	public int hashCode();

	public CacheModel<Worker> toCacheModel();

	public Worker toEscapedModel();

	public String toString();

	public String toXmlString();
}